@import url('styles.css');

:root{
    --white: #fff;
    --br-sm:0.35rem;
    --br:0.5rem;
    --br-lg:0.75rem;
    --footer:#152229;
    --copyright: #0a171f;
    --p1: 1rem;
    --p2: 1.5rem;
}
.auth-container{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #00915522;
}
.auth-box{
    background-color: var(--green);
    background-image: url('../img/event-2.avif');
    background-blend-mode: multiply;
    background-size: cover;
    background-size: 50% 100%;
    background-position: left;
    background-repeat: no-repeat;
    /* border: 6px solid var(--white); */
    border-radius: var(--br-lg);
    padding: 2.5rem;
    overflow: hidden;
    max-width: 1000px;
    margin: auto;
    position: relative;
}
.auth-box *{
    position: relative;
}
.auth-box::before{
    content: '';
    height: 100%;
    width: 50%;
    position: absolute;
    right: 0;
    background-color: var(--white);
    top: 0;
}
.right-auth-section a{
    color: var(--green);
    font-weight: 500;
}
.btn-auth-page{
    padding: 0.75rem 1.5rem;
    border-radius: 5rem;
    background-color: #fff2;
    backdrop-filter: blur(10px);
    color: var(--white) !important;
    border: 1px solid #fff3;
}
.auth-title{
    background-image: var(--gradient-2);
    width: max-content;
    color: transparent;
    font-size: 2.5rem;
    margin: 0 auto 1.5rem;
    font-weight: 600;
    background-clip: text;
}
.auth-form-group{
    position: relative;
    margin-bottom: 1rem;
    background-color: #f7f7f7;
    padding: 0.5rem 1rem;
    border-radius: var(--br-sm);
}
.auth-form-icon,.auth-form-password-eye{
    position: absolute;
    left: 1rem;
    font-size: 0.9rem;
    top: 50%;
    transform: translateY(-50%);
}
.auth-form-password-eye{
    left: unset;
    right: 1rem;
    color: var(--green);
}
.auth-form-password-eye .bi-eye-slash,
.auth-form-password-eye.password-hidden .bi-eye{
    display: none;
}
.auth-form-password-eye.password-hidden .bi-eye-slash,
.auth-form-password-eye .bi-eye{
    display: block;
}

.auth-form-group input{
    width: 100%;
    padding: 0.125rem 0.75rem 0.125rem 2rem;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    background-color: transparent !important;
}















.dashboard-container{
    width: 100vw;
    height: 100vh;
    background-image: url('../img/dashboard-bg.jpg');
    background-color: var(--white);
    background-blend-mode: multiply;
    background-size: cover;
}
.dashboard-sidebar{
    width: 250px;;
    background-color: var(--footer);
    position: fixed;
    height: 100vh;
    left: 0;
    top: 0;
}
.sidebar-logo{
    border-bottom:1px solid #fff1;
    width: 100%;
    height: 50px;
    padding: 0 0 0.25rem var(--p1);
    align-items: center;
}
.sidebar-logo .logo{
    font-size: 1.25rem;
    font-weight: 600;
    color: var(--white);
    object-fit: contain;
    /* filter: brightness(0) invert(1); */
}
.sidebar-logo .logo img{
    margin-top: -5px;
    width: 25px;
}
.sidebar-menu-list{
    position: relative;
    height: calc(100vh - 4rem);
}
.sidebar-menu-list li{
    padding: 0;
}
.sidebar-menu-list li a{
    padding: 0.5rem 1rem !important;
    display: block;
    width: 100%;
    color: var(--white);
    font-weight: 400;
    border-bottom: 1px solid #fff1;
}
.sidebar-menu-list li a i{
    margin-right: 0.75rem;
    height: 1.2rem;
    width: 1.2rem;
    color: var(--white);
    opacity: 0.5;
}
.sidebar-menu-list li a.active,.sidebar-menu-list li a:hover{
    background-color: #fff2;
    color: var(--white);
}
.sidebar-menu-list li a.active i,.sidebar-menu-list li a:hover i{
    opacity: 1;
}
.sidebar-menu-1,.sidebar-menu-2{
    list-style: none;
    padding: 0;
}
.sidebar-menu-1{
    max-height: calc(100vh - 8rem);
    overflow: auto;
}
.sidebar-menu-1::-webkit-scrollbar{
    display: none;
}
.sidebar-menu-2{
    position: absolute;
    bottom: 0;
    left:0;
    width: 100%;
}
.sidebar-menu-2 li a{
    border-bottom: none;
}
.dashboard-table{
    max-height: calc(100vh - 200px);
    overflow: auto;
}


.toggle-button{
    outline: none;
    border: none;
    padding: 0;
    box-shadow: none;
    background: none;
}
.toggle-button .bar-1,.toggle-button .bar-2{
    display: block;
    height: 2px;
    background-color: var(--footer);
}
.toggle-button .bar-1{
    width: 1rem;
}
.toggle-button .bar-2{
    width: 1.5rem;
    margin: 0.45rem 0;
}
.dashboard-content{
    width: calc(100vw - 250px);
    position: fixed;
    right: 0;
    top: 0;
}
.dashboard-content-top-bar{
    width: 100%;
    background-color: var(--white);
    box-shadow: 0 0 10px #0002;
    padding: var(--p1);
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.dashboard-content-inner{
    padding: var(--p1);
    background-color: #00915522;
}
.dashboard-card{
    padding: var(--p2);
    background-color: var(--white);
    border-radius: 0.5rem;
    box-shadow: 0 0 15px #fff1;
    max-height: calc(100vh - 90px) !important;
    height: 100dvh;
    overflow: auto;
}
.dashboard-card-header{
    position: relative;
}
.dashboard-card-btn{
    padding: 0.25rem 1.5rem !important;
    font-size: 0.75rem;
    position: absolute;
    right: 0;
    top: 0;
}
.dashboard-card::-webkit-scrollbar{
    display: none;
}
.dashboard-card-title{
    display: block;
    color: var(--white);
    padding-bottom: 0.5rem;
    border-bottom: 1px dashed #ffffff33;
    font-weight: bold;
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
}
.dashboard-card h1{
    font-size: 1.25rem;
}
.sidebar-close{
    display: none;
}
.btn-white{
    background-color: #fff4;
}
table.table{
    color: var(--footer) !important;
    border-radius: 0.3rem !important;
    text-decoration: none !important;
    transition: 0.5s all ease;
    box-shadow: 0 3px 5px #0003;
    width: 100%;
    font-size: 0.9rem !important;
}
thead,tbody{
    border-radius: inherit;
}
thead th{
    background-color: var(--footer) !important;
    font-weight: 500;
}
thead th:first-child{
    background-color: var(--footer) !important;
    border-radius: 0.3rem 0 0 0 !important;
}
thead th:last-child{
    background-color: var(--footer) !important;
    border-radius: 0 0.3rem 0 0 !important;
}
thead *{
    color: white !important;
    text-decoration: none !important;
    font-weight: 400;
}
tr,td,th{
    border-bottom: none !important;
}
td:first-child,th:first-child{
    border-left: none !important;
}
tr:nth-child(even){
    background-color: #18559d11;
}
tr:last-child{
    border-bottom: none !important;
}
td:nth-child(even){
    border-left: 1px solid #18559d44;
    border-right: 1px solid #18559d44;
}
th:nth-child(even){
    border-left: 1px solid #fff4;
    border-right: 1px solid #fff4;
}
th:last-child,td:last-child{
    border-right: none;
}
.fancy-heading{
    font-size:2.5rem !important;
    font-weight: 600;
}
.text-green{
    color: var(--green);
}
.event-modal-group{
    position: relative;
    margin: 1.75rem 0 0.75rem;
    border: 1px dashed var(--footer);
    padding: 1.25rem 1.25rem 0.5rem;
    border-radius: var(--br);
}
.event-modal-group-title{
    display: block;
    width: max-content;
    position: relative;
    background-color: var(--white);
    padding: 0 0.25rem;
    margin: -2rem 0 0 -0.25rem;
    font-size: 0.75rem; 
}
.user-profile{
    height: 200px;
    width: 200px;
    margin-bottom: 1rem;
    box-shadow: 0 0 10px #0001;
    border-radius: var(--br-lg);
    background-color: var(--white);
    padding: 0.5rem;
    border: 1px solid #0001;
}
.user-profile img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--br-sm);
}
.custom-row{
    display: flex;
    gap: 1.5rem;
}
.profile-details{
    width: calc(100% - 224px);
}
.coupon-card{
    display: flex;
    border-radius: var(--br-lg);
    box-shadow: 0 0 10px #0002;
    width: 100%;
    gap: 1rem;
    overflow: hidden;
    align-items: center;
    border: 1px dashed var(--copyright);
}
.coupon-card-left,.coupon-card-right{
    padding: 1rem 1.25rem;
    height: 100%;
}
.coupon-card-left{
    width: calc(100% - 8rem);
}
.coupon-card-right{
    width: 7rem;
    position: relative;
}
.coupon-card-right *{
    position: relative;
    z-index: 1;
}
.coupon-card-right::before{
    content: '';
    border-left: 1px dashed var(--copyright);
    background-image: var(--gradient);
    width: 100%;
    height: 300%;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}
.voucher-box{
    writing-mode: vertical-lr;
    transform: rotate(180deg);
    text-align: center;
}
.voucher-box :is(.voucher-price,.small){
    display: block;
    color: var(--white);
    line-height: 1.5;
    margin-bottom: 0;
}
.voucher-box .small{
    font-weight: 600;
}
.voucher-price{
    font-weight: 800;
    font-size: 1.25rem;
}
.voucher-price small{
    font-size: 0.75rem;
}
.ccl-title{
    font-size: 1.35rem;
    font-weight: 600;
    line-height: 1;
    background-image: linear-gradient(to right, var(--copyright), var(--red));
    width: max-content;
    background-clip: text;
    color: transparent;
}
.coupon-card-left small{
    display: block;
    font-size: 0.75rem;
}
.coupon-code{
    display: inline-block;
    padding: 0.125rem 0.35rem;
    border-radius: var(--br-sm);
    line-height: 1.5;
    background-color: #15222922;
    margin-right: 0.25rem;
    font-weight: 500;
}
.nav-pills .nav-link{
    border-radius: 0 !important;
    padding: 0 1rem 0.125rem !important;
    border-bottom: 2px solid #999;
    margin-bottom: -1px;
    color: #999 !important;
}
.nav-pills .nav-link.active{
    background-color: transparent !important;
    color: var(--footer) !important;
    border-color: var(--footer) !important;
}
.text-footer{
    color: var(--footer);
}
.badge-footer{
    color: #999;
    background-color: #9993;
}
.active .badge-footer{
    color: var(--footer);
    background-color: #15222933;
}
.notification-card{
    margin: 1rem 0;
    padding: 1rem;
    border-radius: var(--br-lg);
    border: 1px dashed #15222933;
    display: flex;
    gap: 1rem;
    line-height: 1;
    position: relative;
}
.notification-pi{
    height: 3rem;
    width: 3rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    display: flex;
    background-color: #00915544;
    font-size: 1.125rem;
    font-weight: 500;
    letter-spacing: 1px;
    position: relative;
}
.notification-content{
    width: calc(100% - 4rem);
}
.notification-floating-icons{
    display: flex;
    gap: 1rem;
    position: absolute;
    right: 1rem;
    top: 1rem;
}
.notification-floating-icons a{
    font-size: 0.85rem;
    display: inline-block;
    background-color: #15222922;
    padding: 0.25rem 0.35rem;
    border-radius: var(--br-sm);
}
.notification-floating-icons a i{
    margin-right: 0.25rem;
}
.nfi-delete{
    background-color: #dc354522 !important;
}
.notification-card.unread{
    background-color: #15222911;
}
.notification-card.unread .notification-pi::before{
    content: '';
    height: 0.5rem;
    width: 0.5rem;
    background-color: var(--footer);
    position: absolute;
    left: 0.125rem;
    top: 0.125rem;
    border-radius: 50%;
}
.dashboard-new-card{
    border: 2px solid #00915522;
    border-radius: var(--br);
    overflow: hidden;
    background-color: #00915511;
}
.dashboard-new-card-footer{
    border-top: 2px solid #00915522;
    background-color: #00915511;
}
.dashboard-new-card-top,.dashboard-new-card-footer{
    padding: 0.75rem 1rem;
}
.dashboard-new-card-top{
    display: flex;
    gap: 1rem;
    width: 100%;
    line-height: 1.4;
    align-items: center;
}
.dnct-img{
    width: 4rem;
}
.dashboard-new-card-top img{
    width: 100%;
}
.dnct-content{
    width: calc(100% - 5rem);
}
.dnct-content h3{
    font-weight: 600;
    font-size: 1.4rem;
    line-height: 1.1;
    margin-bottom: 0.25rem;
}
.dnct-content small{
    display: block;
    margin-bottom: 0;
}
.btn-new-card-footer{
    position: relative;
    color: var(--footer);
    font-weight: 600;
    width: 100%;
    display: block;
}
.btn-new-card-footer:hover{
    color: var(--red);
}
.btn-new-card-footer::before{
    content: '';
    height: 0.5rem;
    width: 0.5rem;
    background-color: transparent;
    border-right: 1px solid var(--footer);
    border-bottom: 1px solid var(--footer);
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
}
.btn-new-card-footer:hover::before{
    border-color: var(--red);
}
.dashboard-form label{
    display: block;
    color: var(--copyright);
}
.dashboard-form input{
    padding: 0.25rem 0.5rem;
    border-radius: var(--br-sm);
    border: 1px solid #0a171f22;
    outline: none;
    width: 100%;
}
.number-input{
    display: flex;
    gap: 1rem;
    max-width: 14rem;
    align-items: center;
}
.number-input button{
    height: 2.5rem !important;
    width: 2.5rem !important;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    outline: none;
    border-radius: 50%;
    border: 1px solid #0a171f22;
    font-size: 1.5rem;
}
.number-input input{
    width: calc(100% - 6rem);
    text-align: center;
}

@media screen and (max-width:999px) {
    .auth-box{
        background-size: cover;
    }
    .auth-box::before{
        display: none;
    }
    .dashboard-sidebar{
        left: -100%;
        transition: 0.5s all ease;
        z-index: 100;
    }
    .dashboard-content{
        width: 100%;
        left: 0;
    }
    .dashboard-sidebar.toggle-sidebar{
        left: 0;
        transition: 0.5s all ease;
    }
    .sidebar-close{
        position: absolute;
        font-size: 1.75rem;
        display: block;
        color: var(--white);
        right: 0;
        background-color: #fff4;
        padding: 0.5rem 0.75rem;
        line-height: 0;
        height: 2.5rem;
        width: 2.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        top:0;
        z-index: 101;
    }
    .auth-title{
        font-size: 1.5rem;
        margin-top: 1.5rem;
        background-image: linear-gradient(to right, var(--white), var(--red));
    }
    .text-mobile-white{
        color: var(--white);
    }
    .auth-box .text-green{
        color: var(--white);
        text-decoration: underline;
    }
    .custom-row{
        flex-direction: column;
        gap: 0;
    }
    .user-profile{
        width: 100px;
        height: 100px;
    }
    .profile-details{
        width: 100%;
    }
    .ccl-title{
        font-size: 1rem;
    }
    .notification-card{
        line-height: 1.4;
    }
    .notification-floating-icons{
        position: relative;
        top: 0;
        right: 0;
        margin-bottom: 1rem;
    }
    .notification-floating-icons a i{
        display: none !important;
    }
    .site-db-pill-tabs{
        overflow-y: hidden;
        overflow-x: auto;
        flex-wrap: nowrap;
    }
    .site-db-pill-tabs .nav-item .nav-link{
        white-space: nowrap;
    }
    .site-db-pill-tabs .nav-item .nav-link.active{
        background-color: var(--footer) !important;
        color: var(--white) !important;
    }
}
